org.wildfly.plugin.core

## Class SimpleDeploymentDescription

- java.lang.Object
- - org.wildfly.plugin.core.SimpleDeploymentDescription

- All Implemented Interfaces:
    Comparable<SimpleDeploymentDescription>, DeploymentDescription

      public class SimpleDeploymentDescription
      extends Object
      implements DeploymentDescription, Comparable<SimpleDeploymentDescription>

  A simple deployment description.
  Author:
    James R. Perkins

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDeploymentDescription` | `addServerGroup(String serverGroup)` Adds a server group for the deployment description.
    `SimpleDeploymentDescription` | `addServerGroups(Collection<String> serverGroups)` Adds the server groups for the deployment description.
    `SimpleDeploymentDescription` | `addServerGroups(String... serverGroups)` Adds the server groups for the deployment description.
    `int` | `compareTo(SimpleDeploymentDescription o)`
    `boolean` | `equals(Object obj)`
    `String` | `getName()` Returns the name for this deployment.
    `Set<String>` | `getServerGroups()` Returns the server groups for this deployment.
    `int` | `hashCode()`
    `static SimpleDeploymentDescription` | `of(String name)` Creates a simple deployment description with an empty set of server groups.
    `static SimpleDeploymentDescription` | `of(String name, Set<String> serverGroups)` Creates a simple deployment description.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static SimpleDeploymentDescription of(String name)

      Creates a simple deployment description with an empty set of server groups.
      Parameters:
        `name` - the name for the deployment
      Returns:
        the deployment description

    - #### of

          public static SimpleDeploymentDescription of(String name,
                                                       Set<String> serverGroups)

      Creates a simple deployment description.
      Parameters:
        `name` - the name for the deployment
        `serverGroups` - the server groups
      Returns:
        the deployment description

    - #### addServerGroup

          public SimpleDeploymentDescription addServerGroup(String serverGroup)

      Adds a server group for the deployment description.
      Parameters:
        `serverGroup` - the server group to add
      Returns:
        this deployment description

    - #### addServerGroups

          public SimpleDeploymentDescription addServerGroups(String... serverGroups)

      Adds the server groups for the deployment description.
      Parameters:
        `serverGroups` - the server groups to add
      Returns:
        this deployment description

    - #### addServerGroups

          public SimpleDeploymentDescription addServerGroups(Collection<String> serverGroups)

      Adds the server groups for the deployment description.
      Parameters:
        `serverGroups` - the server groups to add
      Returns:
        this deployment description

    - #### getServerGroups

          public Set<String> getServerGroups()

      Description copied from interface: `DeploymentDescription`
      Returns the server groups for this deployment.
      Specified by:
        `getServerGroups` in interface `DeploymentDescription`
      Returns:
        a set of server groups for this deployment

    - #### getName

          public String getName()

      Description copied from interface: `DeploymentDescription`
      Returns the name for this deployment.
      Specified by:
        `getName` in interface `DeploymentDescription`
      Returns:
        the name for this deployment

    - #### compareTo

          public int compareTo(SimpleDeploymentDescription o)

      Specified by:
        `compareTo` in interface `Comparable<SimpleDeploymentDescription>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022 JBoss by Red Hat. All rights reserved.